# Uses of Class
java.time.chrono.HijrahChronology

Packages that use HijrahChronology
Package
Description
java.time.chrono
Generic API for calendar systems other than the default ISO.

## Uses of HijrahChronology in java.time.chrono

Fields in java.time.chrono declared as HijrahChronology
Modifier and Type
Field
Description
`static final HijrahChronology`
HijrahChronology.`INSTANCE`
Singleton instance of the Islamic Umm Al-Qura calendar of Saudi Arabia.
Methods in java.time.chrono that return HijrahChronology
Modifier and Type
Method
Description
`HijrahChronology`
HijrahDate.`getChronology()`
Gets the chronology of this date, which is the Hijrah calendar system.
Methods in java.time.chrono with parameters of type HijrahChronology
Modifier and Type
Method
Description
`HijrahDate`
HijrahDate.`withVariant(HijrahChronology chronology)`
Returns a `HijrahDate` with the Chronology requested.